LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

usb 3.0 in vision assistant

Highlighted

Hello all

Currently using Labview 2012 but recently purchased a USB 3.0 camera. Question is... would it be possible to to upgrade the vision asistant to the 2013 version that suports the 3.0 camera or would I need to upgrade all of Labview.

 

Thanks

0 Kudos
Message 1 of 6
(1,169 Views)
Highlighted

I wouldn't think the port matters all that much (but am prepared to be proven wrong).  I just plugged a USB (2) camera into a USB3 port, and it shows up fine in MAX (LabVIEW 2012).

 

BS 

0 Kudos
Message 2 of 6
(1,138 Views)
Highlighted

Bob I apologize I should have been more specific.

 

We do capture images and the camera works but we are curious about getting the full 3.0 speed. The way we understand it is that 3.0 speed is not supported until NI vision aquisition August 2013 and are curious if we need to upgrade all of LV to 2013 or should we be able to just upgrade vision aquisition to take advantage of the 3.0 speeds.

 

Thanks S

0 Kudos
Message 3 of 6
(1,106 Views)
Highlighted

Oh, boy, that is a tricky question.  My "best guess" (backed up with a little data) is that you can not simply upgrade Vision.  I've got both 2012 and 2013 installed on my PC.  When LabVIEW installs the "usual stuff" (with MAX being a pointed exception), it installs (by default) into a folder of the form \National Instruments\LabVIEW 2012 (or 13).  The Vision stuff is "inside" the vi.lib sub-folder of this folder.  LabVIEW is fairly famous for lack of "backward compatibility", which means that even if you installed the 2013 Vision stuff and tried to move the files into the 2012 folder (overwriting what was there), the odds are good that you'd have problems with "incompatible versions".

 

Do you have access to a Virtual Machine?  If so, you could give it a try without risking damaging your working system ...

 

BS

0 Kudos
Message 4 of 6
(1,093 Views)
Highlighted

Thats what we were afraid of based on research as you describe with the "backward compatibilty" issues. We have access to desk machines with 2013 but have been weary to upgrade the laptop operating our robot because of the amount of coding and those same compatabilty issues. The idea of building a VM on the control laptop sounds feasible but as they say "if it aint broke dont fix it."

 

Thanks for the feedback as it reinforces what we susupected, we may just have to bite the bullet and upgrade after backing everything up well prior to. I'll tag as a solution for this string

 

Thanks again

0 Kudos
Message 5 of 6
(1,080 Views)
Highlighted

Hey all,

 

Not my product area any longer, but the Vision Acquisition Release Notes seem to suggest that you can use 2013 VAS with LabVIEW 2012 successfully:

 

"NI-IMAQdx 4.2
NI-IMAQdx is driver software that supports NI 177x smart cameras, as well as IEEE 1394, GigE Vision, DirectShow-compatible USB, USB3 Vision cameras, and IP cameras.
...
Development Environments
NI-IMAQ and NI-IMAQdx: LabVIEW 8.6 or later"

Since you can get the image into LabVIEW, I would then assume that you could use Vision Assistant (Vision Development Module 2012, in your case) with it.

 

Hope this helps!

 

Nate B

0 Kudos
Message 6 of 6
(1,066 Views)